Bug 545

Summary: qt-uim : Cursor Position is sometimes weird
Product: UIM Reporter: Kazuki Ohta <mover>
Component: bridge: QtAssignee: Kazuki Ohta <mover>
Status: RESOLVED FIXED QA Contact:
Severity: normal    
Priority: high    
Version: unspecified   
Hardware: x86 (IA32)   
OS: Linux (All)   
Whiteboard:
i915 platform: i915 features:

Description Kazuki Ohta 2004-04-25 01:58:41 UTC
This is how the problem occurs.

1. Activate Im and input some characters.
2. press Shift+Space to deactivete Im and type some characters (ex. hogehoge)
3. press Shift+Space

Now, the text cursor should be right after the word hogehoge.
But sometimes the caret is right after the characters we input on process "1".
Comment 1 Kazuki Ohta 2004-04-25 15:34:46 UTC
This only happens when I use uim-prime. 
We should examine more further. 
 
 * qt-immodule for uim's bug? 
 * uim's bug? 
 * prime's bug? 
Comment 2 Kazuki Ohta 2004-04-27 00:52:02 UTC
This bug occured only using uim-prime! 
 
This patch fixed the problem. 
 
--- quiminputcontext.cpp.orig   2004-04-26 23:47:32.000000000 +0900 
+++ quiminputcontext.cpp        2004-04-26 23:47:45.000000000 +0900 
@@ -284,7 +284,7 @@ 
 
     if(!str) 
         return; 
-    if(!strcmp(str,"") && !(attr & (UPeAttr_Cursor | UPeAttr_Separator))) 
+    if(!strcmp(str,"")) 
         return; 
 
     PreeditSegment *ps = new PreeditSegment(attr, QString::fromUtf8(str)); 
 

Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.